﻿ImportC "gifenc.lib"
	GIFEncode(Fname.l,GHeight.w,GWidth.w,GInterlace.l,Background.l,BitsPerPixel.l,redp.l,greenp.l,bluep.l,getpix.l)
; 	GIFEncode( Fname,          /* The filename To write */
; 	           GHeight,        /* The height of the bitmap - an int */
; 		   GWidth,         /* The width of the bitmap - an int */
; 		   GInterlace,     /* TRUE If you want the image To be
; 				      interlaced, FALSE otherwise */
; 	           Background,     /* The colour index of the background */
; 		   BitsPerPixel,   /* The number of bits of color per
; 				      pixel in the palette you specified.
; 				      If your palette has 256 colours,
; 				      it should be '8', 32 should be '5',
; 				      etc */
; 		   Red, Green, Blue, /* Pointers To arrays of int's,
; 					containing the R, G And B values
; 					of the colour palette */
; 	
; 		   GetPixel );	   /* a pointer to a function that returns
; 				      the index of the colour at the
; 				      co-ordinates passed */  
EndImport

Global *m=AllocateMemory(64000)

ProcedureC.l getpix(x,y)
;  Debug Str(x)+","+Str(y)
  res.l=PeekL(*m+x+y*320)&255
  ProcedureReturn res
EndProcedure


Dim ra.l(256)
Dim ga.l(256)
Dim ba.l(256)

ReadFile(0,"a51.bin")
ReadData(0,*m,64000)
CloseFile(0)

m.l=4
ReadFile(0,"a51.pal")
For i=0 To 255
  ra(i)=ReadAsciiCharacter(0)*m
  ga(i)=ReadAsciiCharacter(0)*m
  ba(i)=ReadAsciiCharacter(0)*m
Next i
CloseFile(0)

;getpixel )( curx, cury );
GIFEncode(@"a51.gif",320,200,0,0,8,@ra(),@ga(),@ba(),@getpix())
FreeMemory(*m)
; IDE Options = PureBasic 5.30 (Windows - x86)
; CursorPosition = 39
; FirstLine = 9
; Folding = -
; EnableXP